## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class AltExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.AltExpImpl

All Implemented Interfaces:
  AltExp, ImperativeExpression

    public class AltExpImpl

extends ImperativeExpressionImpl
implements AltExp

An implementation of the model object 'Alt Exp'.

The following features are implemented:

- `Body`
- `Condition`

Field Summary
`protected OCLExpression` `body` The cached value of the '`Body`' containment reference
`protected OCLExpression` `condition` The cached value of the '`Condition`' containment reference

Constructor Summary
`protected` `AltExpImpl()`

Method Summary

`

`<T,U extends <any>> T`

`

`accept(U v)`

`NotificationChain` `basicSetBody(OCLExpression newBody, NotificationChain msgs)`
`NotificationChain` `basicSetCondition(OCLExpression newCondition, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`OCLExpression` `getBody()`
`OCLExpression` `getCondition()`
`void` `setBody(OCLExpression newBody)`
`void` `setCondition(OCLExpression newCondition)`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### body

    protected OCLExpression body

  The cached value of the '`Body`' containment reference.

  See Also:
    `getBody()`

### condition

    protected OCLExpression condition

  The cached value of the '`Condition`' containment reference.

  See Also:
    `getCondition()`

Constructor Detail

### AltExpImpl

    protected AltExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getBody

    public OCLExpression getBody()

  Specified by:
    `getBody` in interface `AltExp`
  Returns:
    the value of the 'Body' containment reference.
  See Also:
    `AltExp.setBody(OCLExpression)`, `ImperativeOCLPackage.getAltExp_Body()`

### basicSetBody

    public NotificationChain basicSetBody(OCLExpression newBody,
                                          NotificationChain msgs)

### setBody

    public void setBody(OCLExpression newBody)

  Specified by:
    `setBody` in interface `AltExp`
  Parameters:
    `newBody` - the new value of the 'Body' containment reference.
  See Also:
    `AltExp.getBody()`

### getCondition

    public OCLExpression getCondition()

  Specified by:
    `getCondition` in interface `AltExp`
  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `AltExp.setCondition(OCLExpression)`, `ImperativeOCLPackage.getAltExp_Condition()`

### basicSetCondition

    public NotificationChain basicSetCondition(OCLExpression newCondition,
                                               NotificationChain msgs)

### setCondition

    public void setCondition(OCLExpression newCondition)

  Specified by:
    `setCondition` in interface `AltExp`
  Parameters:
    `newCondition` - the new value of the 'Condition' containment reference.
  See Also:
    `AltExp.getCondition()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### accept

    public <T,U extends <any>> T accept(U v)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.